var system = require("../../../system")
const settings = require("../../../../config/settings")
const CtlBase = require("../../ctlms.base");
const md5 = require("MD5");
const uuidv4 = require('uuid/v4');
const logCtl = system.getObject("web.common.oplogCtl");

class FeeTestCtl extends CtlBase {
  constructor() {
    super();
    this.feeSve = system.getObject("service.fee.feeSve");
  }

  async ttttttttttt(qobj, pobj, req) {
    // 创建账户
    // let accountRes = await this.feeSve.createAccount({
    //   "app_id": "100001",
    //   "app_data_id": "3",
    //   "balance": 10000
    // });

    let infores = await this.feeSve.account({"account_id": 2});
    let infobulkres = await this.feeSve.accountBulk({"account_ids": [2, '1']});
    // let traderes = await this.feeSve.accountTrade({
    //   "account_id": "2",
    //   "trade_amt": 57,
    //   "trade_no": "112313213123123131",
    //   "trade_desc": "三要素验证"
    // });
    let mapres = await this.feeSve.tradeMapByIds({ids: ['12703897128000661', '12703897305000873', '12703897324000914']});
    return system.getResultSuccess(this.loginDTO(req.loginUser));
  }
}

module.exports = FeeTestCtl;